=== debian/changelog ===
jnati (0.4-2) unstable; urgency=medium

  * Adding a patch disabling URL-decoding of paths on filesystem, as they do
    not seem to be encoded.

 -- Andrius Merkys <merkys@debian.org>  Wed, 16 Oct 2019 04:40:50 -0400

jnati (0.4-1) unstable; urgency=medium

  * Initial release (Closes: #939449)

 -- Andrius Merkys <merkys@debian.org>  Mon, 02 Sep 2019 08:09:29 -0400
