=== debian/control ===
Source: jnati
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper (>= 12),
 default-jdk,
 maven-debian-helper (>= 2.1),
Build-Depends-Indep:
 default-jdk-doc,
 junit4 (>= 4.12),
 libcommons-io-java (>= 2.0.1),
 libcommons-io-java-doc,
 libexec-maven-plugin-java,
 liblog4j1.2-java (>= 1.2.14),
 liblog4j1.2-java-doc,
 libmaven-javadoc-plugin-java,
 libmaven3-core-java (>= 2.2.1),
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/java-team/jnati.git
Vcs-Browser: https://salsa.debian.org/java-team/jnati
Homepage: http://jnati.sourceforge.net/

Package: libjnati-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends},
Suggests:
 libjnati-java-doc,
 ${maven:OptionalDepends},
Description: Java Native Execution Framework
 A toolkit for working with native, non-Java, programs and libraries from
 within Java.

Package: libjnati-java-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-jquery-ui,
 ${maven:Depends},
 ${misc:Depends},
Recommends:
 ${maven:DocDepends},
 ${maven:DocOptionalDepends},
Suggests:
 libjnati-java,
Description: Documentation for Java Native Execution Framework
 A toolkit for working with native, non-Java, programs and libraries from
 within Java.
 .
 This package contains the API documentation of libjnati-java.
