=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	for DIR in core deploy proc; \
	do \
		JQUERY_DIR=$(CURDIR)/debian/libjnati-java-doc/usr/share/doc/libjnati-java/jnati-$${DIR}/jquery; \
		ln -fs /usr/share/javascript/jquery/jquery.js $${JQUERY_DIR}/external/jquery/jquery.js; \
		ln -fs /usr/share/javascript/jquery/jquery.js $${JQUERY_DIR}/jquery-3*.js; \
		ln -fs /usr/share/javascript/jquery-ui/themes/base/jquery-ui.css $${JQUERY_DIR}/jquery-ui.css; \
		ln -fs /usr/share/javascript/jquery-ui/jquery-ui.js $${JQUERY_DIR}/jquery-ui.js; \
		ln -fs /usr/share/javascript/jquery-ui/themes/base/jquery-ui.min.css $${JQUERY_DIR}/jquery-ui.min.css; \
		ln -fs /usr/share/javascript/jquery-ui/jquery-ui.min.js $${JQUERY_DIR}/jquery-ui.min.js; \
	done
