=== debian/watch ===
version=4
opts="mode=svn,uversionmangle=s/-(alpha|beta|rc)(-)?/~$1$2/" \
 https://svn.code.sf.net/p/jnati/code/jnati/tags jnati-(\d.*)\/
